<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Relations\HasMany;

class PayrollStructure extends BaseModel
{
    protected $fillable = [
        'name',
        'description',
    ];

    public function components(): HasMany
    {
        return $this->hasMany(PayrollStructureComponent::class);
    }

    public function salaryAssignments(): HasMany
    {
        return $this->hasMany(EmployeeSalaryAssignment::class);
    }
}
